<template>
  <form @submit.prevent="submitFormYear" method="post">
    <div class="grid">
      <b class="text-lg mb-2">เพิ่มปีงบประมาณ</b>
      <p>ปีงบประมาณ</p>
      <input
        :class="`${errors?.year ? ' border-red-600' : ''}
                  px-3
                  py-2
                  rounded
                  border border-gray-200
                  placeholder-gray-300`"
        v-model="formBudjetYear.year"
        placeholder="ปีงบประมาณ"
      />
      <small class="text-red-500 font-bold">{{ errors?.year }} </small>
    </div>
    <button
      type="submit"
      class="
        transition
        duration-200
        ease-in-out
        transform
        hover:-translate-y-1
        px-3
        py-1
        bg-gradient-to-r
        from-blue-600
        to-green-400
        rounded-md
        text-white
        shadow-md
        focus:outline-none
        mt-2
      "
    >
      เพิ่ม
    </button>
  </form>
</template>

<script>
import { Inertia } from "@inertiajs/inertia";
import { defineComponent, reactive, toRefs } from "vue";

export default defineComponent({
  props: {
    errors: Object,
  },
  setup(props) {
    const { errors } = toRefs(props);

    const formBudjetYear = reactive({
      year: null,
    });
    const submitFormYear = () => {
      Inertia.post(route("admin.years.store"), formBudjetYear, {
        onSuccess: () => {
          formBudjetYear.year = null;
        },
      });
    };
    return {
      submitFormYear,
      formBudjetYear,
      errors,
    };
  },
});
</script>


<style>
</style>
